package com.zfire.jiasm.syncdata.download.order;

import com.zfire.jiasm.syncdata.plus.entity.ItfReceiveSms;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzAssignLcLsDownload;
import com.zfire.jiasm.syncdata.plus.service.ItfReceiveSmsService;
import com.zfire.jiasm.syncdata.service.AddInstallBusiness;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/** 接口方式生成工单
 * 格力品牌安装工单下载后落本地数据表
 *    落业务表 - 修改下载主表处理结果
 */
@Slf4j
// @Component
public class SaleOrderEvaluate {
    @Value("${installinc}")
    private String installinc = "";

    @Resource
    AddInstallBusiness addInstallBusiness;
    @Resource
    ItfReceiveSmsService itfReceiveSmsService;


    // 自建工单短信回复 生成评价信息 + 申诉
    // @Scheduled(fixedDelayString = "${installin}")
    public void orderAppraise() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        List<ItfTblAzAssignLcLsDownload> lcls = new ArrayList<>();


        List<ItfReceiveSms> irsms = new ArrayList<>();

        // 提取需要处理的数据
        irsms = itfReceiveSmsService.lambdaQuery()
                .eq(ItfReceiveSms::getSynStatus,0)
                .list();

        log.info("自建工单生成评价短信开始处理: \uF0B7{}",sdf.format(new Date()));
        for (ItfReceiveSms item:irsms){


        }




        // 按任务号download_task_no，按单来处理
        for (ItfTblAzAssignLcLsDownload item: lcls) {
            try{

            } catch (Exception ex) {
                ex.printStackTrace();
                String msg = "自建工单生成评价短信失败： ";
                if (ex.getMessage()!=null){
                    msg = msg + ex.getMessage();
                }
                item.setSynErrMsg(msg);
                if (msg.length()>1020){
                    item.setSynErrMsg(msg.substring(0,1020));
                }
                item.setSynTime(new Date());
                item.setSynTimes(item.getSynTimes()+1);
            }
        }

        log.info("安装工单落本地表完成: \uF0B7{}",sdf.format(new Date()));
    }

}
